<?php

	// Load the initiation file
	require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

	//This will store temporarily the RealTime Data into this Session
	if(!isset($_SESSION["REALTIME"]["LICENSE_MONITOR"])) {
		$_SESSION["REALTIME"]["LICENSE_MONITOR"] = RealTime::getInstance($fresh,true);
	}
	$realtime = &$_SESSION["REALTIME"]["LICENSE_MONITOR"];
	
	$arr = array();
	
	foreach($realtime->getUsers() as $user) {
		$arrContents = array();
		$tmp = false;
		
		if(isset($_SESSION["USERDATA"]["SELECTION"][$user->name])) {
		
			$result = $_SESSION["USERDATA"]["SELECTION"][$user->name];
			
			if(isset($result[0]['value'])) {
				
				$rs0 = $result[0]['value'];
				$rs1 = $result[1]['value'];
				
				
				foreach($result as $row){
					$varName = $row['name'];
					$varValue = $row['value'];
					
					if($row['name'] == "displayName" || $row['name'] == "name" || $row['name'] == "sAMAccountName" || $row['name'] == "cn" || $row['name'] == "sn" ) continue;
					
					$varName = $varName == "mail" ? "E-mail" : $varName;
					$varName = ucfirst(preg_replace("([A-Z]+)", " $0", $varName)).":";
					
					if(is_array($row)) {
						$tmp = true;
						$arrContents[] = array("name"=>"{$varName}","value"=>"{$varValue}");
					}		
				}
				if($tmp) {
					$arr["{$user->name}"] = array("namevalue"=>"{$rs0}","nameformat"=>"{$rs1}","contents"=>$arrContents);
				}
			}
		}
	}
	echo json_encode($arr);
?>